Metafunction
Size
Type of an object that is suitable to hold size information.
Size<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Spec.Journaled String Type for which the size type is determined. Types: AlignCols, FrequencyDistribution, ModifiedString, PriorityType, Proxy, Segment, Shape, std::basic_string, std::basic_string, std::list, std::vector, std::vector

Remarks
In most cases this type is size_t.
Return Values

Type | Size type of T.

Functions

addEdges | Shortcut to add multiple edges at once. Creates vertices implicitly.
emptyParentEdge | Returns true iff the edge label from the iterator node to its parent is empty.
getProjectedPosition | Projects a position of one sequence taking part in a pairwise match onto the other sequence.
getProjectedPosition | Projects a position of one sequence taking part in a pairwise match onto the other sequence.
nodeDepth | Returns the zero-based node depth of the iterator node.
parentRepLength | Returns the length of the substring representing the path from root to iterator's parent node.
repLength | Returns the length of the substring representing the path from root to iterator node.

Part of Concept
Container, Iterator
See Also
Difference
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50